import { request } from '@/utils/request.js';

// customer-manage
export const customeryQueryApi = (data) =>
  request({
    url: '/api/sys/custom/query',
    params: data,
  });
export const customerDetailApi = (id) =>
  request({
    url: '/api/sys/custom/get',
    params: { id },
  });
export const customerEditApi = (data) => {
  if (data.id) {
    return request({
      url: '/api/sys/custom/update',
      data,
    });
  } else {
    return request({
      url: '/api/sys/custom/add',
      data,
    });
  }
};
export const customerDeleteApi = (id) =>
  request({
    url: '/api/sys/custom/delete',
    params: { id },
  });

// supplier-manage
export const supplierQueryApi = (data) =>
  request({
    url: '/api/sys/supplier/query',
    params: data,
  });
export const supplierListApi = (data) =>
  request({
    url: '/api/sys/supplier/list',
    params: data,
  });
export const supplierDetailApi = (id) =>
  request({
    url: '/api/sys/supplier/get',
    params: { id },
  });
export const supplierEditApi = (data) => {
  if (data.id) {
    return request({
      url: '/api/sys/supplier/update',
      data,
    });
  } else {
    return request({
      url: '/api/sys/supplier/add',
      data,
    });
  }
};
export const supplierEnableApi = (id) =>
  request({
    url: '/api/sys/supplier/enable',
    params: { id },
  });

// device-manage
export const deviceQueryApi = (data) =>
  request({
    url: '/api/sys/device/query',
    params: data,
  });
export const deviceListApi = (data) =>
  request({
    url: '/api/sys/device/list',
    params: data,
  });
export const deviceDetailApi = (id) =>
  request({
    url: '/api/sys/device/get',
    params: { id },
  });
export const deviceEditApi = (data) => {
  if (data.id) {
    return request({
      url: '/api/sys/device/update',
      data,
    });
  } else {
    return request({
      url: '/api/sys/device/add',
      data,
    });
  }
};
export const deviceDestroyApi = (id) =>
  request({
    url: '/api/sys/device/delete',
    params: { id },
  });

// service-level-manage
export const serviceLevelQueryApi = (data) =>
  request({
    url: '/api/sys/level/query',
    params: data,
  });
export const serviceLevelListApi = (data) =>
  request({
    url: '/api/sys/level/list',
    params: data,
  });
export const serviceLevelDetailApi = (id) =>
  request({
    url: '/api/sys/level/get',
    params: { id },
  });
export const serviceLevelEditApi = (data) => {
  if (data.id) {
    return request({
      url: '/api/sys/level/update',
      data,
    });
  } else {
    return request({
      url: '/api/sys/level/add',
      data,
    });
  }
};
export const serviceLevelDeleteApi = (id) =>
  request({
    url: '/api/sys/level/delete',
    data: { id },
  });

// checkin-manage
export const checkinQueryApi = (data) =>
  request({
    url: '/api/sys/ding/group/query',
    data,
  });
export const checkinListApi = (data) =>
  request({
    url: '/api/sys/ding/group/list',
    data,
  });
export const checkinEditApi = (data) => {
  if (data.id) {
    return request({
      url: '/api/sys/ding/group/update',
      data,
    });
  } else {
    return request({
      url: '/api/sys/ding/group/add',
      data,
    });
  }
};
export const checkinDeleteApi = (id) =>
  request({
    url: '/api/sys/ding/group/delete',
    data: { id },
  });

// log-manage
export const logListApi = (data) =>
  request({
    url: '/api/sys/log/list',
    data,
  });

// notice-manage
export const noticeListApi = (data) =>
  request({
    url: '/api/sys/notice/list',
    data,
  });
export const noticeEditApi = (data) => {
  if (data.id) {
    return request({
      url: '/api/sys/notice/edit',
      data,
    });
  } else {
    return request({
      url: '/api/sys/notice/add',
      data,
    });
  }
};
export const noticePublishApi = (id) =>
  request({
    url: '/api/sys/notice/publish',
    data: { id },
  });
export const noticeCancelPublishApi = (id) =>
  request({
    url: '/api/sys/notice/cancel-publish',
    data: { id },
  });
export const noticeDestroyApi = (id) =>
  request({
    url: '/api/sys/notice/destroy',
    data: { id },
  });
