import { request } from '@/utils/request.js';

export const login = (data) =>
  request({
    url: '/api/admin/common/login',
    method: 'post',
    data,
    loading: true,
    noAuth: true,
  });
export const getOrgStructList = () =>
  request({
    url: '/api/admin/org/list',
  });
export const addOrgNode = (data) =>
  request({
    url: '/api/admin/org/save',
    data,
    loading: true,
  });
export const toggleOrgNodeStatus = (data) =>
  request({
    url: '/api/admin/org/enable',
    data,
    loading: true,
  });
export const getUserList = (data) =>
  request({
    url: '/api/admin/user/list',
    params: data,
  });
export const getRoleList = (data) =>
  request({
    url: '/api/admin/role/list',
    params: data,
  });
export const addUser = (data) =>
  request({
    url: '/api/admin/user/save',
    data,
  });
export const toggleUserStatus = (data) =>
  request({
    url: '/api/admin/user/enable',
    data,
    loading: true,
  });
export const getAllMenuResource = () =>
  request({
    url: '/api/admin/sys/privilege/list',
  });
export const logout = (data) =>
  request({
    url: '/api/logout',
    method: 'post',
    data,
  });
export const getMenus = () =>
  request({
    url: '/api/admin/common/get_menu', //真实接口url
    method: 'post',
  });

export const editUser = (data) =>
  request({
    url: '/api/edit',
    method: 'post',
    data,
  });
